# Simple rsync Action

this actions uses rsync to syncronize a folder via ssh to another server

## Parameters:

- `rsync_parameters`* - For the required rsync parameters, example: `-avz --delete`
- `path` - local path, if not specified the current workdir is used
- `remote_path`* - the path on the remote server
- `remote_user`* - the username to be used for ssh
- `remote_host`* - the server to deploy to
- `remote_key`* - the ssh key to use for authentication

## Example Usage:

```yml
name: DEPLOY
on:
  push:
    branches:
    - master

jobs:
  deploy:
    runs-on: docker
    steps:
    - uses: actions/checkout@v4
    - name: rsync
      uses: https://git.hannover.ccc.de/c3h/actions-rsync-deployment@v1
      with:
        rsync_parameters: -avz --delete
        path: public/
        remote_path: /home/web/public
        remote_host: example.com
        remote_user: i_use_arch_btw
        remote_key: ${{ secrets.SSH_PRIVATE_KEY }}
```
